%define module_name POE-Component-Client-NSCA
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Mcrypt.pm) perl(POE.pm) perl(POE/Filter/Stream.pm) perl(POE/Wheel/ReadWrite.pm) perl(POE/Wheel/SocketFactory.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.18
Release: alt1
Summary: a POE Component that implements send_nsca functionality
Group: Development/Perl
License: perl
URL: https://github.com/bingos/poe-component-client-nsca

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BINGOS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
POE::Component::Client::NSCA is a the POE manpage component that implements `send_nsca' functionality.
This is the client program that is used to send service check information from a remote machine to
an nsca daemon on the central machine that runs `Nagios'.

It is based in part on code shamelessly borrowed from the Net::Nsca manpage and optionally supports 
encryption using the the Mcrypt manpage module.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes.old Changes README LICENSE examples
%perl_vendor_privlib/P*

%changelog
* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.18-alt1
- regenerated from template by package builder

* Wed Sep 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1
- initial import by package builder

